cURL
curl --request POST \ --url https://api.replyke.com/api/v6/:projectId/api/v7/users/:userId/connection \ --header 'Content-Type: application/json' \ --data ' { "message": "<string>" } '
{ "id": "<string>", "status": "<string>", "createdAt": "<string>" }
Send a connection request to a user
201
"pending"
Self-Request — 400
{ "error": "A user cannot send a connection request to themselves.", "code": "connection/self-request" }
User Not Found — 404
{ "error": "One or both users involved in the connection do not exist.", "code": "connection/user-not-found" }
Already Pending — 409
{ "error": "A connection request is already pending between these users.", "code": "connection/request-pending" }
Already Connected — 409
{ "error": "Users are already connected.", "code": "connection/already-connected" }
Request Previously Declined — 409
{ "error": "Connection request was declined. Only the receiver can initiate a new request.", "code": "connection/request-declined" }
useRequestConnection